import { Chip } from '@mantine/core';
import { ReactElement } from 'react'

interface CardInfoChipProps {
    status: boolean;
    label: string;
    iconOn: ReactElement
    iconOff: ReactElement
}

export default function CardInfoChip({
    status,
    label,
    iconOn,
    iconOff
}: CardInfoChipProps) {
    return (
        <Chip
            icon={status ? iconOn : iconOff}
            color={status ? "success" : "error"}
            variant='outline'
        >
            {label}
        </Chip>
    )
}