import { IconBuildingFactory2, IconComponents, IconDeviceDesktopAnalytics, IconFiles, IconHome, IconLogin, IconLogin2, IconMap, IconPassword, IconReport, IconServer, IconSettings, IconShield, IconTable, IconUsers } from "@tabler/icons-react";
import SignIn from "../pages/auth/SignIn";
import SignUp from "../pages/auth/SignUp";
import PasswordReset from "../pages/auth/PasswordReset";
import TableTest from "../pages/TableTest";
import ComponentTest from "../pages/ComponentTest";
import MonitorPage from "../pages/MonitorPage";
import Settings from "../pages/Settings";
import Main from "../pages/Main";
import Users from "../pages/Users";
import Roles from "../pages/Roles";
import Documents from "../pages/Documents";
import Reports from "../pages/Reports";
import Servers from "../pages/Servers";
import Boilers from "../pages/Boilers";
import MapTest from "../pages/MapTest";

// Определение страниц с путями и компонентом для рендера

const pages = [
  {
    label: "",
    path: "/auth/signin",
    icon: <IconLogin2 />,
    component: <SignIn />,
    drawer: false,
    dashboard: false,
    enabled: true,
  },
  {
    label: "",
    path: "/auth/signup",
    icon: <IconLogin />,
    component: <SignUp />,
    drawer: false,
    dashboard: false,
    enabled: false,
  },
  {
    label: "",
    path: "/auth/password-reset",
    icon: <IconPassword />,
    component: <PasswordReset />,
    drawer: false,
    dashboard: false,
    enabled: true,
  },
  {
    label: "Настройки",
    path: "/settings",
    icon: <IconSettings />,
    component: <Settings />,
    drawer: false,
    dashboard: true,
    enabled: true,
  },
  {
    label: "Главная",
    path: "/",
    icon: <IconHome />,
    component: <Main />,
    drawer: true,
    dashboard: true,
    enabled: true,
  },
  {
    label: "Пользователи",
    path: "/user",
    icon: <IconUsers />,
    component: <Users />,
    drawer: true,
    dashboard: true,
    enabled: true,
  },
  {
    label: "Роли",
    path: "/role",
    icon: <IconShield />,
    component: <Roles />,
    drawer: true,
    dashboard: true,
    enabled: true,
  },
  {
    label: "Документы",
    path: "/documents",
    icon: <IconFiles />,
    component: <Documents />,
    drawer: true,
    dashboard: true,
    enabled: true,
  },
  {
    label: "Отчеты",
    path: "/reports",
    icon: <IconReport />,
    component: <Reports />,
    drawer: true,
    dashboard: true,
    enabled: true,
  },
  {
    label: "Серверы",
    path: "/servers",
    icon: <IconServer />,
    component: <Servers />,
    drawer: true,
    dashboard: true,
    enabled: true,
  },
  {
    label: "Котельные",
    path: "/boilers",
    icon: <IconBuildingFactory2 />,
    component: <Boilers />,
    drawer: true,
    dashboard: true,
    enabled: true,
  },
  {
    label: "ИКС",
    path: "/map-test",
    icon: <IconMap />,
    component: <MapTest />,
    drawer: true,
    dashboard: true,
    enabled: true,
  },
  {
    label: "Монитор",
    path: "/monitor",
    icon: <IconDeviceDesktopAnalytics />,
    component: <MonitorPage />,
    drawer: true,
    dashboard: true,
    enabled: false,
  },
  {
    label: "Table test",
    path: "/table-test",
    icon: <IconTable />,
    component: <TableTest />,
    drawer: true,
    dashboard: true,
    enabled: false,
  },
  {
    label: "Component test",
    path: "/component-test",
    icon: <IconComponents />,
    component: <ComponentTest />,
    drawer: true,
    dashboard: true,
    enabled: false,
  },
]

export {
  pages
}